summaryrefslogtreecommitdiff
path: root/tests/cp/debug.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/debug.sh')
-rwxr-xr-xtests/cp/debug.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/cp/debug.sh b/tests/cp/debug.sh
index b46adc637..242894de2 100755
--- a/tests/cp/debug.sh
+++ b/tests/cp/debug.sh
@@ -25,4 +25,8 @@ grep 'copy offload:.*reflink:.*sparse detection:' cp.out || fail=1
cp --debug --attributes-only file file.cp >cp.out || fail=1
returns_ 1 grep 'copy offload:.*reflink:.*sparse detection:' cp.out || fail=1
+touch file.cp || framework_failure_
+cp --debug --update=none file file.cp >cp.out || fail=1
+grep 'skipped' cp.out || fail=1
+
Exit $fail